From: Anton Mikanovich <amikan@ilbers.de>
To: isar-users@googlegroups.com
Cc: Uladzimir Bely <ubely@ilbers.de>, Anton Mikanovich <amikan@ilbers.de>
Subject: [PATCH v3 7/7] CI: Install mmdebstrap
Date: Wed, 31 May 2023 13:11:02 +0300 [thread overview]
Message-ID: <20230531101102.101755-8-amikan@ilbers.de> (raw)
In-Reply-To: <20230531101102.101755-1-amikan@ilbers.de>
From: Uladzimir Bely <ubely@ilbers.de>
Temporary fix for old kas versions: install mmdebstrap and required
tools if not present.
Signed-off-by: Anton Mikanovich <amikan@ilbers.de>
---
scripts/ci_build.sh | 6 ++++++
1 file changed, 6 insertions(+)
diff --git a/scripts/ci_build.sh b/scripts/ci_build.sh
index 2fa5cccd..d26f3cdc 100755
--- a/scripts/ci_build.sh
+++ b/scripts/ci_build.sh
@@ -127,6 +127,12 @@ if echo "$TAGS" | grep -Fqive "-startvm"; then
fi
fi
+# install mmdebstrap and tools
+if ! command -v mmdebstrap > /dev/null; then
+ sudo apt-get update -qq
+ sudo apt-get install -y mmdebstrap arch-test apt-utils
+fi
+
# Provide working path
mkdir -p .config/avocado
cat <<EOF > .config/avocado/avocado.conf
--
2.34.1
next prev parent reply other threads:[~2023-05-31 10:11 UTC|newest]
Thread overview: 16+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-05-31 10:10 [PATCH v3 0/7] Migrate to mmdebstrap Anton Mikanovich
2023-05-31 10:10 ` [PATCH v3 1/7] meta: Switch " Anton Mikanovich
2023-05-31 10:10 ` [PATCH v3 2/7] isar-bootstrap: Move preparations to hooks Anton Mikanovich
2023-05-31 10:10 ` [PATCH v3 3/7] isar-bootstrap: Use tar output instead of directory Anton Mikanovich
2023-05-31 10:10 ` [PATCH v3 4/7] user_manual.md: Replace debootstrap with mmdebstrap Anton Mikanovich
2023-05-31 10:11 ` [PATCH v3 5/7] user_manual.md: Update minimal host requirements Anton Mikanovich
2023-05-31 10:11 ` [PATCH v3 6/7] isar-bootstrap: Remove unused code Anton Mikanovich
2023-05-31 10:11 ` Anton Mikanovich [this message]
2023-06-20 5:30 ` [PATCH v3 0/7] Migrate to mmdebstrap Jan Kiszka
2023-06-20 10:00 ` Uladzimir Bely
2023-06-20 10:22 ` Jan Kiszka
2023-07-14 16:40 ` vijai kumar
2023-09-19 9:14 ` Schaffner, Tobias
2023-09-20 7:24 ` Uladzimir Bely
2023-09-20 7:30 ` Uladzimir Bely
2023-09-21 4:36 ` Jan Kiszka
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20230531101102.101755-8-amikan@ilbers.de \
--to=amikan@ilbers.de \
--cc=isar-users@googlegroups.com \
--cc=ubely@ilbers.de \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox